<div class="flex flex-col gap-2 items-start">
  {% if field.label %}
    <div>
      <label for="{{ field.id_for_label }}" class="leading-5">
        {{ field.label }}
      </label>

      {% if field.field.required %}
        <span class="text-red-600">*</span>
      {% endif %}
    </div>
  {% endif %}

  <div class="flex w-full gap-2">
    <input
      type="{% block type %}text{% endblock %}"
      class="
        py-3 px-3 w-full lg:w-96

        {% block color_classes %}
          bg-grey-100 border border-grey-200
        {% endblock %}

        {{ extra_classes }}
      "
      value=""
      id="{{ field.id }}"
      name="{{ field.id }}"
    />

    {% if field.field.required and not field.label %}
      <span class="text-red-600">*</span>
    {% endif %}
  </div>
</div>
